Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.text
Enum OdfNoteClassType

    java.lang.Object
      java.lang.Enum<OdfNoteClassType>
          org.odftoolkit.odfdom.dom.type.text.OdfNoteClassType

All Implemented Interfaces:
  Serializable, Comparable<OdfNoteClassType>

    public enum OdfNoteClassType

extends Enum<OdfNoteClassType>

DOM implementation of OpenDocument attribute text:note-class.

Enum Constant Summary
`ENDNOTE`
`FOOTNOTE`

Method Summary
`static OdfNoteClassType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfNoteClassType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfNoteClassType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfNoteClassType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FOOTNOTE

    public static final OdfNoteClassType FOOTNOTE

### ENDNOTE

    public static final OdfNoteClassType ENDNOTE

Method Detail

### values

    public static OdfNoteClassType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfNoteClassType c : OdfNoteClassType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfNoteClassType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfNoteClassType>`
  Returns:
    return the name of OdfNoteClassType

### toString

    public static String toString(OdfNoteClassType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfNoteClassType, see text:note-class
  Returns:
    return the name of OdfNoteClassType

### enumValueOf

    public static OdfNoteClassType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfNoteClassType
  Returns:
    return the constant of OdfNoteClassType, see text:note-class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.